package module

import (
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/context"
)

type ItemMockDao struct {
}

const ()

func NewItemMockDao() *ItemMockDao {
	dao := &ItemMockDao{}
	return dao
}

func (d *ItemMockDao) GetItemFeatures(items []*Item, context *context.RecommendContext) (ret []*Item) {
	for _, item := range items {
		if item.Properties == nil {
			item.Properties = make(map[string]interface{})
		}
		ret = append(ret, item)
	}

	return
}
